<?php

require_once dirname( __FILE__ ) . '/Web2.php';

require_once 'twitter-async/EpiCurl.php';
require_once 'twitter-async/EpiOAuth.php';
require_once 'twitter-async/EpiTwitter.php';


// Naming convention
// All post functions start with syn_post_ followed by the name of the site
// eg syn_post_wordpress syn_post_blogger

function syn_post_wordpress( $options, $title, $post ) {
	$web2 = new Web2();
	$web2->PostWordpress( $options[ 'wordpress_username' ], $options[ 'wordpress_password' ], $options[ 'wordpress_prefix' ], $title, $post );
}

function syn_post_blogger( $options, $title, $post ) {
	$web2 = new Web2();
	$web2->PostBlogger( $options[ 'blogger_username' ], $options[ 'blogger_password' ], $options[ 'blogger_blog_id' ], $title, $post );
}

function syn_post_typepad( $options, $title, $post ) {
	$web2 = new Web2();
	$web2->PostTypepad( $options[ 'typepad_username' ], $options[ 'typepad_password' ], $options[ 'typepad_blog_id' ], $title, $post );
}

function syn_post_live_journal( $options, $title, $post ) {
	$web2 = new Web2();
	$web2->PostLiveJournal( $options[ 'live_journal_username' ], $options[ 'live_journal_password' ], $title, $post );
}

function syn_post_posterous( $options, $title, $post ) {
	$web2 = new Web2();
	$web2->PostPosterous( $options[ 'posterous_email' ], $options[ 'posterous_password' ], $title, $post );
}

function syn_post_tumblr( $options, $title, $post ) {
	$web2 = new Web2();
	$web2->PostTumblr( $options[ 'tumblr_username' ], $options[ 'tumblr_password' ], $title, $post );
}

function syn_post_multiply( $options, $title, $post ) {
	$web2 = new Web2();
	$web2->PostMultiply( $options[ 'multiply_username' ], $options[ 'multiply_password' ], $title, $post );
}

function micro_title( $title, $short_link='' ) {
	$title = substr( $title, 0, 120 );
	return "$short_link $title";
}

function syn_post_plurk( $options, $title, $post ) {
	$title = micro_title( $title, $options[ 'bitly_url' ] );

	$web2 = new Web2();
	$web2->PostPlurk( $options[ 'plurk_username' ], $options[ 'plurk_password' ], $options[ 'plurk_api_key' ], $title );
}

function syn_post_twitter( $options, $title, $post ) {
	$title = micro_title( $title, $options[ 'bitly_url' ] );

	$consumer_key = '7FKdvYGOThL1MQnVdtTeA';
	$consumer_secret = 'j0sSdZJl2muMGATQBKWs4Gqd0M7DCboGiY6odcUIyAY';

	try {
		$options = syn_get_admin_options();
		$twitter = new EpiTwitter( $consumer_key, $consumer_secret, $options[ 'twitter_oauth_token' ], $options[ 'twitter_oauth_secret' ] );
		$twitter->post( '/statuses/update.json', array( 'status' => $title ) );
	} catch ( Exception $e ) {

	}
}

function syn_post_friend_feed( $options, $title, $post ) {
	$title = micro_title( $title, $options[ 'bitly_url' ] );

	$web2 = new Web2();
	$web2->PostFriendFeed( $options[ 'friend_feed_username' ], $options[ 'friend_feed_remote_key' ], $title );
}

function syn_post_xanga( $options, $title, $post ) {
	$web2 = new Web2();
	$web2->PostXanga( $options[ 'xanga_username' ], $options[ 'xanga_password' ], $title, $post );
}

function syn_post_identica( $options, $title, $post ) {
	$title = micro_title( $title, $options[ 'bitly_url' ] );
	$web2 = new Web2();
	$web2->PostIdentica( $title, $options[ 'identica_username' ], $options[ 'identica_password' ] );
}

function syn_post_publr( $options, $title, $post ) {
	$web2 = new Web2();
	$web2->PostPublr( $options[ 'publr_username' ], $options[ 'publr_password' ], $title, $post );
}

?>
